[arch-commits] Commit in glib2/repos (12 files)
Jan Steffens
heftig at archlinux.org
Tue May 10 19:40:04 UTC 2016
Date: Tuesday, May 10, 2016 @ 21:40:04
Author: heftig
Revision: 267645
archrelease: copy trunk to testing-i686, testing-x86_64
Added:
glib2/repos/testing-i686/
glib2/repos/testing-i686/0001-gsettings-Don-t-crash-when-no-schemas-are-installed.patch
(from rev 267644, glib2/trunk/0001-gsettings-Don-t-crash-when-no-schemas-are-installed.patch)
glib2/repos/testing-i686/PKGBUILD
(from rev 267644, glib2/trunk/PKGBUILD)
glib2/repos/testing-i686/gio-querymodules.hook
(from rev 267644, glib2/trunk/gio-querymodules.hook)
glib2/repos/testing-i686/glib-compile-schemes.hook
(from rev 267644, glib2/trunk/glib-compile-schemes.hook)
glib2/repos/testing-i686/revert-warn-glib-compile-schemas.patch
(from rev 267644, glib2/trunk/revert-warn-glib-compile-schemas.patch)
glib2/repos/testing-x86_64/
glib2/repos/testing-x86_64/0001-gsettings-Don-t-crash-when-no-schemas-are-installed.patch
(from rev 267644, glib2/trunk/0001-gsettings-Don-t-crash-when-no-schemas-are-installed.patch)
glib2/repos/testing-x86_64/PKGBUILD
(from rev 267644, glib2/trunk/PKGBUILD)
glib2/repos/testing-x86_64/gio-querymodules.hook
(from rev 267644, glib2/trunk/gio-querymodules.hook)
glib2/repos/testing-x86_64/glib-compile-schemes.hook
(from rev 267644, glib2/trunk/glib-compile-schemes.hook)
glib2/repos/testing-x86_64/revert-warn-glib-compile-schemas.patch
(from rev 267644, glib2/trunk/revert-warn-glib-compile-schemas.patch)
-------------------------------------------------------------------------------+
testing-i686/0001-gsettings-Don-t-crash-when-no-schemas-are-installed.patch | 49 ++++++
testing-i686/PKGBUILD | 75 ++++++++++
testing-i686/gio-querymodules.hook | 11 +
testing-i686/glib-compile-schemes.hook | 12 +
testing-i686/revert-warn-glib-compile-schemas.patch | 33 ++++
testing-x86_64/0001-gsettings-Don-t-crash-when-no-schemas-are-installed.patch | 49 ++++++
testing-x86_64/PKGBUILD | 75 ++++++++++
testing-x86_64/gio-querymodules.hook | 11 +
testing-x86_64/glib-compile-schemes.hook | 12 +
testing-x86_64/revert-warn-glib-compile-schemas.patch | 33 ++++
10 files changed, 360 insertions(+)
Copied: glib2/repos/testing-i686/0001-gsettings-Don-t-crash-when-no-schemas-are-installed.patch (from rev 267644, glib2/trunk/0001-gsettings-Don-t-crash-when-no-schemas-are-installed.patch)
===================================================================
--- testing-i686/0001-gsettings-Don-t-crash-when-no-schemas-are-installed.patch (rev 0)
+++ testing-i686/0001-gsettings-Don-t-crash-when-no-schemas-are-installed.patch 2016-05-10 19:40:04 UTC (rev 267645)
@@ -0,0 +1,49 @@
+From 4850cb55d3415b7d95c80c80ceb60f221f5dddf5 Mon Sep 17 00:00:00 2001
+From: "Jan Alexander Steffens (heftig)" <jan.steffens at gmail.com>
+Date: Wed, 24 Feb 2016 18:58:25 +0100
+Subject: [PATCH] gsettings: Don't crash when no schemas are installed
+
+Still doesn't behave well ("gsettings help" causes an error),
+but at least there's no segfault anymore.
+---
+ gio/gsettings-tool.c | 10 ++++++++--
+ 1 file changed, 8 insertions(+), 2 deletions(-)
+
+diff --git a/gio/gsettings-tool.c b/gio/gsettings-tool.c
+index 6a302ce..0026f55 100644
+--- a/gio/gsettings-tool.c
++++ b/gio/gsettings-tool.c
+@@ -697,7 +697,7 @@ main (int argc, char **argv)
+ if (argc < 2)
+ return gsettings_help (FALSE, NULL);
+
+- global_schema_source = g_settings_schema_source_ref (g_settings_schema_source_get_default ());
++ global_schema_source = g_settings_schema_source_get_default ();
+
+ if (argc > 3 && g_str_equal (argv[1], "--schemadir"))
+ {
+@@ -705,7 +705,6 @@ main (int argc, char **argv)
+ GError *error = NULL;
+
+ global_schema_source = g_settings_schema_source_new_from_directory (argv[2], parent, FALSE, &error);
+- g_settings_schema_source_unref (parent);
+
+ if (global_schema_source == NULL)
+ {
+@@ -719,6 +718,13 @@ main (int argc, char **argv)
+ argv = argv + 2;
+ argc -= 2;
+ }
++ else if (global_schema_source == NULL)
++ {
++ g_printerr (_("No schemas installed\n"));
++ return 1;
++ }
++ else
++ g_settings_schema_source_ref (global_schema_source);
+
+ need_settings = TRUE;
+
+--
+2.7.1
+
Copied: glib2/repos/testing-i686/PKGBUILD (from rev 267644, glib2/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD (rev 0)
+++ testing-i686/PKGBUILD 2016-05-10 19:40:04 UTC (rev 267645)
@@ -0,0 +1,75 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgbase=glib2
+pkgname=(glib2 glib2-docs)
+pkgver=2.48.1
+pkgrel=1
+pkgdesc="Common C routines used by GTK+ and other libs"
+url="http://www.gtk.org/"
+arch=(i686 x86_64)
+makedepends=('pkg-config' 'python' 'libxslt' 'docbook-xml' 'pcre' 'libffi' 'libelf')
+source=(http://ftp.gnome.org/pub/GNOME/sources/glib/${pkgver:0:4}/glib-$pkgver.tar.xz
+ glib-compile-schemes.hook
+ gio-querymodules.hook
+ revert-warn-glib-compile-schemas.patch)
+sha256sums=('74411bff489cb2a3527bac743a51018841a56a4d896cc1e0d0d54f8166a14612'
+ 'e1123a5d85d2445faac33f6dae1085fdd620d83279a4e130a83fe38db52b62b3'
+ '5ba204a2686304b1454d401a39a9d27d09dd25e4529664e3fd565be3d439f8b6'
+ '049240975cd2f1c88fbe7deb28af14d4ec7d2640495f7ca8980d873bb710cc97')
+
+prepare() {
+ cd glib-$pkgver
+ patch -Rp1 -i ../revert-warn-glib-compile-schemas.patch
+}
+
+build() {
+ cd glib-$pkgver
+ ./configure --prefix=/usr --libdir=/usr/lib \
+ --sysconfdir=/etc \
+ --with-pcre=system \
+ --disable-fam
+ make
+}
+
+check() {
+ cd glib-$pkgver
+ #make -k check || :
+}
+
+package_glib2() {
+ depends=('pcre' 'libffi')
+ optdepends=('python: for gdbus-codegen and gtester-report'
+ 'libelf: gresource inspection tool')
+ options=('!docs' '!emptydirs')
+ license=('LGPL')
+
+ cd glib-$pkgver
+ make completiondir=/usr/share/bash-completion/completions DESTDIR="$pkgdir" install
+
+ for _i in "$pkgdir/usr/share/bash-completion/completions/"*; do
+ chmod -x "$_i"
+ done
+
+ # Our gdb does not ship the required python modules, so remove it
+ rm -rf "$pkgdir/usr/share/gdb/"
+
+ # install hooks
+ install -dm755 "$pkgdir"/usr/share/libalpm/hooks/
+ install -m644 "$srcdir"/{glib-compile-schemes,gio-querymodules}.hook "$pkgdir"/usr/share/libalpm/hooks/
+}
+
+package_glib2-docs() {
+ pkgdesc="Documentation for glib2"
+ conflicts=('gobject2-docs')
+ replaces=('gobject2-docs')
+ license=('custom')
+ options=('docs' '!emptydirs')
+
+ cd glib-$pkgver/docs
+ make DESTDIR="${pkgdir}" install
+ install -m755 -d "${pkgdir}/usr/share/licenses/glib2-docs"
+ install -m644 reference/COPYING "${pkgdir}/usr/share/licenses/glib2-docs/"
+
+ rm -rf "${pkgdir}/usr/share/man"
+}
Copied: glib2/repos/testing-i686/gio-querymodules.hook (from rev 267644, glib2/trunk/gio-querymodules.hook)
===================================================================
--- testing-i686/gio-querymodules.hook (rev 0)
+++ testing-i686/gio-querymodules.hook 2016-05-10 19:40:04 UTC (rev 267645)
@@ -0,0 +1,11 @@
+[Trigger]
+Type = File
+Operation = Install
+Operation = Upgrade
+Operation = Remove
+Target = usr/lib/gio/modules/*.so
+
+[Action]
+Description = Updating GIO module cache...
+When = PostTransaction
+Exec = /usr/bin/gio-querymodules /usr/lib/gio/modules
Copied: glib2/repos/testing-i686/glib-compile-schemes.hook (from rev 267644, glib2/trunk/glib-compile-schemes.hook)
===================================================================
--- testing-i686/glib-compile-schemes.hook (rev 0)
+++ testing-i686/glib-compile-schemes.hook 2016-05-10 19:40:04 UTC (rev 267645)
@@ -0,0 +1,12 @@
+[Trigger]
+Type = File
+Operation = Install
+Operation = Upgrade
+Operation = Remove
+Target = usr/share/glib-2.0/schemas/*.gschema.xml
+Target = usr/share/glib-2.0/schemas/*.gschema.override
+
+[Action]
+Description = Compiling GSettings XML schema files...
+When = PostTransaction
+Exec = /usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas
Copied: glib2/repos/testing-i686/revert-warn-glib-compile-schemas.patch (from rev 267644, glib2/trunk/revert-warn-glib-compile-schemas.patch)
===================================================================
--- testing-i686/revert-warn-glib-compile-schemas.patch (rev 0)
+++ testing-i686/revert-warn-glib-compile-schemas.patch 2016-05-10 19:40:04 UTC (rev 267645)
@@ -0,0 +1,33 @@
+From 6560b37450cd19c4a7c7b690e279fe97b7bfdcaa Mon Sep 17 00:00:00 2001
+From: Ryan Lortie <desrt at desrt.ca>
+Date: Thu, 12 Apr 2012 23:55:34 +0000
+Subject: glib-compile-schemas: warn about bad dconf paths
+
+For quite some time the recommended usage of GSettings and dconf has
+been to use paths like /org/gnome/example/. Use of /apps/ has spilled
+over from GConf and is continuing to make its way into a number of
+applications as they port.
+
+glib-compile-schemas will now warn about these types of paths being
+used. This generates a lot of noise, but hopefully it will reduce the
+number of ported applications making this mistake.
+---
+diff --git a/gio/glib-compile-schemas.c b/gio/glib-compile-schemas.c
+index cf02389..27d0181 100644
+--- a/gio/glib-compile-schemas.c
++++ b/gio/glib-compile-schemas.c
+@@ -1204,6 +1204,12 @@ parse_state_start_schema (ParseState *state,
+ return;
+ }
+
++ if (path && (g_str_has_prefix (path, "/apps/") ||
++ g_str_has_prefix (path, "/desktop/") ||
++ g_str_has_prefix (path, "/system/")))
++ g_printerr ("warning: Schema '%s' has path '%s'. Paths starting with "
++ "'/apps/', '/desktop/' or '/system/' are deprecated.\n", id, path);
++
+ state->schema_state = schema_state_new (path, gettext_domain,
+ extends, extends_name, list_of);
+
+--
+cgit v0.9.0.2
Copied: glib2/repos/testing-x86_64/0001-gsettings-Don-t-crash-when-no-schemas-are-installed.patch (from rev 267644, glib2/trunk/0001-gsettings-Don-t-crash-when-no-schemas-are-installed.patch)
===================================================================
--- testing-x86_64/0001-gsettings-Don-t-crash-when-no-schemas-are-installed.patch (rev 0)
+++ testing-x86_64/0001-gsettings-Don-t-crash-when-no-schemas-are-installed.patch 2016-05-10 19:40:04 UTC (rev 267645)
@@ -0,0 +1,49 @@
+From 4850cb55d3415b7d95c80c80ceb60f221f5dddf5 Mon Sep 17 00:00:00 2001
+From: "Jan Alexander Steffens (heftig)" <jan.steffens at gmail.com>
+Date: Wed, 24 Feb 2016 18:58:25 +0100
+Subject: [PATCH] gsettings: Don't crash when no schemas are installed
+
+Still doesn't behave well ("gsettings help" causes an error),
+but at least there's no segfault anymore.
+---
+ gio/gsettings-tool.c | 10 ++++++++--
+ 1 file changed, 8 insertions(+), 2 deletions(-)
+
+diff --git a/gio/gsettings-tool.c b/gio/gsettings-tool.c
+index 6a302ce..0026f55 100644
+--- a/gio/gsettings-tool.c
++++ b/gio/gsettings-tool.c
+@@ -697,7 +697,7 @@ main (int argc, char **argv)
+ if (argc < 2)
+ return gsettings_help (FALSE, NULL);
+
+- global_schema_source = g_settings_schema_source_ref (g_settings_schema_source_get_default ());
++ global_schema_source = g_settings_schema_source_get_default ();
+
+ if (argc > 3 && g_str_equal (argv[1], "--schemadir"))
+ {
+@@ -705,7 +705,6 @@ main (int argc, char **argv)
+ GError *error = NULL;
+
+ global_schema_source = g_settings_schema_source_new_from_directory (argv[2], parent, FALSE, &error);
+- g_settings_schema_source_unref (parent);
+
+ if (global_schema_source == NULL)
+ {
+@@ -719,6 +718,13 @@ main (int argc, char **argv)
+ argv = argv + 2;
+ argc -= 2;
+ }
++ else if (global_schema_source == NULL)
++ {
++ g_printerr (_("No schemas installed\n"));
++ return 1;
++ }
++ else
++ g_settings_schema_source_ref (global_schema_source);
+
+ need_settings = TRUE;
+
+--
+2.7.1
+
Copied: glib2/repos/testing-x86_64/PKGBUILD (from rev 267644, glib2/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2016-05-10 19:40:04 UTC (rev 267645)
@@ -0,0 +1,75 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgbase=glib2
+pkgname=(glib2 glib2-docs)
+pkgver=2.48.1
+pkgrel=1
+pkgdesc="Common C routines used by GTK+ and other libs"
+url="http://www.gtk.org/"
+arch=(i686 x86_64)
+makedepends=('pkg-config' 'python' 'libxslt' 'docbook-xml' 'pcre' 'libffi' 'libelf')
+source=(http://ftp.gnome.org/pub/GNOME/sources/glib/${pkgver:0:4}/glib-$pkgver.tar.xz
+ glib-compile-schemes.hook
+ gio-querymodules.hook
+ revert-warn-glib-compile-schemas.patch)
+sha256sums=('74411bff489cb2a3527bac743a51018841a56a4d896cc1e0d0d54f8166a14612'
+ 'e1123a5d85d2445faac33f6dae1085fdd620d83279a4e130a83fe38db52b62b3'
+ '5ba204a2686304b1454d401a39a9d27d09dd25e4529664e3fd565be3d439f8b6'
+ '049240975cd2f1c88fbe7deb28af14d4ec7d2640495f7ca8980d873bb710cc97')
+
+prepare() {
+ cd glib-$pkgver
+ patch -Rp1 -i ../revert-warn-glib-compile-schemas.patch
+}
+
+build() {
+ cd glib-$pkgver
+ ./configure --prefix=/usr --libdir=/usr/lib \
+ --sysconfdir=/etc \
+ --with-pcre=system \
+ --disable-fam
+ make
+}
+
+check() {
+ cd glib-$pkgver
+ #make -k check || :
+}
+
+package_glib2() {
+ depends=('pcre' 'libffi')
+ optdepends=('python: for gdbus-codegen and gtester-report'
+ 'libelf: gresource inspection tool')
+ options=('!docs' '!emptydirs')
+ license=('LGPL')
+
+ cd glib-$pkgver
+ make completiondir=/usr/share/bash-completion/completions DESTDIR="$pkgdir" install
+
+ for _i in "$pkgdir/usr/share/bash-completion/completions/"*; do
+ chmod -x "$_i"
+ done
+
+ # Our gdb does not ship the required python modules, so remove it
+ rm -rf "$pkgdir/usr/share/gdb/"
+
+ # install hooks
+ install -dm755 "$pkgdir"/usr/share/libalpm/hooks/
+ install -m644 "$srcdir"/{glib-compile-schemes,gio-querymodules}.hook "$pkgdir"/usr/share/libalpm/hooks/
+}
+
+package_glib2-docs() {
+ pkgdesc="Documentation for glib2"
+ conflicts=('gobject2-docs')
+ replaces=('gobject2-docs')
+ license=('custom')
+ options=('docs' '!emptydirs')
+
+ cd glib-$pkgver/docs
+ make DESTDIR="${pkgdir}" install
+ install -m755 -d "${pkgdir}/usr/share/licenses/glib2-docs"
+ install -m644 reference/COPYING "${pkgdir}/usr/share/licenses/glib2-docs/"
+
+ rm -rf "${pkgdir}/usr/share/man"
+}
Copied: glib2/repos/testing-x86_64/gio-querymodules.hook (from rev 267644, glib2/trunk/gio-querymodules.hook)
===================================================================
--- testing-x86_64/gio-querymodules.hook (rev 0)
+++ testing-x86_64/gio-querymodules.hook 2016-05-10 19:40:04 UTC (rev 267645)
@@ -0,0 +1,11 @@
+[Trigger]
+Type = File
+Operation = Install
+Operation = Upgrade
+Operation = Remove
+Target = usr/lib/gio/modules/*.so
+
+[Action]
+Description = Updating GIO module cache...
+When = PostTransaction
+Exec = /usr/bin/gio-querymodules /usr/lib/gio/modules
Copied: glib2/repos/testing-x86_64/glib-compile-schemes.hook (from rev 267644, glib2/trunk/glib-compile-schemes.hook)
===================================================================
--- testing-x86_64/glib-compile-schemes.hook (rev 0)
+++ testing-x86_64/glib-compile-schemes.hook 2016-05-10 19:40:04 UTC (rev 267645)
@@ -0,0 +1,12 @@
+[Trigger]
+Type = File
+Operation = Install
+Operation = Upgrade
+Operation = Remove
+Target = usr/share/glib-2.0/schemas/*.gschema.xml
+Target = usr/share/glib-2.0/schemas/*.gschema.override
+
+[Action]
+Description = Compiling GSettings XML schema files...
+When = PostTransaction
+Exec = /usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas
Copied: glib2/repos/testing-x86_64/revert-warn-glib-compile-schemas.patch (from rev 267644, glib2/trunk/revert-warn-glib-compile-schemas.patch)
===================================================================
--- testing-x86_64/revert-warn-glib-compile-schemas.patch (rev 0)
+++ testing-x86_64/revert-warn-glib-compile-schemas.patch 2016-05-10 19:40:04 UTC (rev 267645)
@@ -0,0 +1,33 @@
+From 6560b37450cd19c4a7c7b690e279fe97b7bfdcaa Mon Sep 17 00:00:00 2001
+From: Ryan Lortie <desrt at desrt.ca>
+Date: Thu, 12 Apr 2012 23:55:34 +0000
+Subject: glib-compile-schemas: warn about bad dconf paths
+
+For quite some time the recommended usage of GSettings and dconf has
+been to use paths like /org/gnome/example/. Use of /apps/ has spilled
+over from GConf and is continuing to make its way into a number of
+applications as they port.
+
+glib-compile-schemas will now warn about these types of paths being
+used. This generates a lot of noise, but hopefully it will reduce the
+number of ported applications making this mistake.
+---
+diff --git a/gio/glib-compile-schemas.c b/gio/glib-compile-schemas.c
+index cf02389..27d0181 100644
+--- a/gio/glib-compile-schemas.c
++++ b/gio/glib-compile-schemas.c
+@@ -1204,6 +1204,12 @@ parse_state_start_schema (ParseState *state,
+ return;
+ }
+
++ if (path && (g_str_has_prefix (path, "/apps/") ||
++ g_str_has_prefix (path, "/desktop/") ||
++ g_str_has_prefix (path, "/system/")))
++ g_printerr ("warning: Schema '%s' has path '%s'. Paths starting with "
++ "'/apps/', '/desktop/' or '/system/' are deprecated.\n", id, path);
++
+ state->schema_state = schema_state_new (path, gettext_domain,
+ extends, extends_name, list_of);
+
+--
+cgit v0.9.0.2
More information about the arch-commits
mailing list